Bug 603769 - SearchBar doesn't allow searches from other pages
SearchBar doesn't allow searches from other pages
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Core UI (Show other bugs)
3.0.0
All Linux
low Severity medium (vote)
: ---
: ---
Assigned To: Joseph Marques
Sunil Kondkar
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-14 10:37 EDT by Joseph Marques
Modified: 2010-09-24 09:05 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-09-24 09:05:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joseph Marques 2010-06-14 10:37:03 EDT
There are several instances of this bug across the UI:

-----

DashBoard Integration

There is a search portlet on the dashboard that allows you to put in a search phrase, choose platform/server/service, and hit OK (and press enter key).  It will redirect you to the browserResources page, but it will not put that searchText into the searchBar.  It needs to fill in the data propagated from the other page, and then automatically hit the OK button to fire the search.

-----

SavedSearch Integration

From the MenuBar, it allows you to select saved searches for resources and groups.  When the search search is selected, it should "activate" that saved search in the searchBar, automatically fill in the saved search pattern, and automatically click the OK button to execute the search.

-----

Report Integration

From the MenuBar go to Administration > Reports > Resource Version Inventory Report.  When you click on any item in this list, you should be redirected to the resource browser and the results should display only the resources that match the type you clicked on from the report.
Comment 1 Joseph Marques 2010-06-14 10:54:23 EDT
commit 316150fef98fce297e4454a9d715d27f70d616cb
Author: Joseph Marques <joseph@redhat.com>
Date:   Mon Jun 14 10:45:41 2010 -0400

    BZ-603769, 603772: enable SearchBar prefill functionality, fix welcomeMessage handling
    
    BZ-603769:
    * delay the construction of the SearchBar until the SavedSearchManager is fully loaded
    * add method to allow propagation of default search information from JSF context
    * add handler to execute search immediately if searchText is propagated
    * add handler to activate saved search immediately if a named search pattern is propagated
    
    BZ-603772:
    * use DOM.addNativePreviewHandler instead of DOM.setEventListener
    ** this ensures that the prepareSearchExecution is the first handler in the stack
Comment 2 Sunil Kondkar 2010-06-23 06:53:17 EDT
Verified on JON 2.4 GA_QA build on firefox3 browser

1. DashBoard Integration:

Search portlet on the dashboard allows to put in a search phrase(Ex: rhq agent) and choose the values platforms/servers/services (Ex: Servers). Clicking OK button (and pressing enter key) redirects to the browserResources page, the searchtext is displayed in searchBar (name=rhq agent) and the search is executed.

2. Report Integration:

Clicking on items(Ex:'Apache HTTP Server') in Administration > Reports > Resource Version Inventory Report redirects user to the resource browser. The searchbar displays the searchtext (Ex: type='Apache HTTP Server') and the search result for 'Apache HTTP Server' type is displayed.

3. Saved Searches:

Created saved searches for resources and groups.
Ex: created a resource saved search with name 'resource search' (for type="Postgres Server") and a group saved search with name 'group search' (for type="Apache HTTP Server")

The links to the saved resource and saved group from menu are displayed as below:

Resources->Resource Saved Searches-><name of the saved resource search link>
Groups->Group Saved Searches-><name of the saved group search link>

Observed that clicking on saved searches links from menubar redirects user to browserResources/browseGroups page.  However saved search pattern is not displayed in searchbar. Searchbar displays the welcome message 'search for resources'/'search for groups' and all the available resources/groups are displayed in search result.

Note You need to log in before you can comment on or make changes to this bug.